package rmrs.persist;

/*
 * Copyright (c) 1999 The Regenstrief Institute.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Written by Gunther Schadow.
 *
 * $Id: PersistenceBroker.java,v 1.1 1999/12/06 19:25:44 schadow Exp $
 */

/** A persistence broker only needs to implement this little interface.
 *
 * @author Gunther Schadow
 * @version $Id: PersistenceBroker.java,v 1.1 1999/12/06 19:25:44 schadow Exp $ 
 */
public interface PersistenceBroker {
    OID save(PersistentObject o) 
	throws PersistException;

    public PersistentObject load(Class classToConformTo, OID oid)
	throws PersistException;

    public ObjectSet query(PersistentObject queryExample)
	throws PersistException;
}
