package rmrs.persist.test;

import rmrs.persist.PersistentObject;
import rmrs.persist.PersistenceBroker;
import rmrs.persist.OID;
import java.util.Date;

public class Person
    extends PersistentObject 
{
    String name;
    String address;
    Date birth_dttm;

    public Person() { }

    Person(String name, String address, Date birth_dttm) {
	this.name    = name;
	this.address = address;
	this.birth_dttm = birth_dttm;
    }

    public String toString() {
	StringBuffer buf = new StringBuffer("Person[oid=");
	buf.append(getOID());
	buf.append(",name=");
	buf.append(name);
	buf.append(",address=");
	buf.append(address);
	buf.append(",birth_dttm=");
	buf.append(birth_dttm);
	buf.append("]");
	return buf.toString();
    }
}
